| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions | Variables
fsl_fxlc95000_i2cspi_pedo.c File Reference
`#include <isf.h>`
`#include <isf_types.h>`
`#include <isf_sm_api.h>`
`#include <isf_dsa_adapter.h>`
`#include <isf_bm.h>`
`#include <isf_sensor_types.h>`
`#include <isf_fifo.h>`
`#include <isf_pedometer_types.h>`
`#include <isf_comm.h>`
`#include <isf_util.h>`
`#include <isf_sensors.h>`
`#include "fxlc95000.h"`
`#include "fsl_fxlc95000_i2cspi_pedo.h"`
`#include "Ac_Fixed_utils.h"`
Include dependency graph for fsl_fxlc95000_i2cspi_pedo.c:

Go to the source code of this file.

## Macros
#define | CI_READ_WRITE_MAX_LEN 32
#define | CI_READ_WRITE_HDR_LEN 6
#define | CI_READ_WRITE_ADDR_LEN 2

## Functions
void | fxlc95000_ValidateConfig (int32_t *status, isf_SensorHandle_t *pSensorHandle, isf_dsa_SensorSettings_t *pSubSettings)
| This function validates the configuration for the MAG3110 sensor. More...
int32 | fxlc95000_GetData (int32_t *status, isf_SensorHandle_t *pSensorHandle, void *pBuffer)
| This function retrieves the raw data from the MAG3110 sensor. More...
int32 | fxlc95000_GetConfig (isf_SensorHandle_t *pSensorHandle, fxlc95000_appConfigRegister_t *pConfig)
int32 | fxlc95000_WriteConfig (isf_SensorHandle_t *pSensorHandle, fxlc95000_appConfigRegister_t *pConfig)
int32 | fxlc95000_read (dm_DeviceDescriptor_t *pDeviceHandle, int32 offset, int32 numBytes, uint8 *pBuffer)
int32 | fxlc95000_send (dm_DeviceDescriptor_t *pDeviceHandle, const fxlc95000_CommandList_t *aCommandList)
uint8 | fxlc95000_waitForCoCo (dm_DeviceDescriptor_t *pDeviceHandle)
isf_dsa_status_t | fsl_fxlc95000_Initialize (isf_SensorHandle_t *pSensorHandle)
isf_dsa_status_t | fsl_fxlc95000_ValidateSettings (isf_SensorHandle_t *pSensorHandle, isf_dsa_SensorSettings_t *pSubSettings)
isf_dsa_status_t | fsl_fxlc95000_Configure (isf_SensorHandle_t *pSensorHandle, isf_dsa_SensorSettings_t *pSensorSettings)
isf_dsa_status_t | fsl_fxlc95000_StartData (isf_SensorHandle_t *pSensorHandle)
isf_dsa_status_t | fsl_fxlc95000_EndData (isf_SensorHandle_t *pSensorHandle)
isf_dsa_status_t | fsl_fxlc95000_Calibrate (isf_SensorHandle_t *pSensorHandle, void *pCalData)
isf_dsa_status_t | fsl_fxlc95000_Shutdown (isf_SensorHandle_t *pSensorHandle)
void | fsl_fxlc95000_PeriodicCallback (void *pSensorHandle)
isf_dsa_status_t | fsl_fxlc95000_Flash (isf_SensorHandle_t *pSensorHandle, void *pFlashData, uint8 numBytes)
isf_dsa_status_t | fsl_fxlc95000_Convert (volatile isf_SensorHandle_t *pSensorHandle, isf_SensorDataTypes_t convertToType, isf_dsa_result_types_t resultType, void *pNativeSample, void *pConvertedSample, int32 *numBytes)
| This function converts the raw sample data to the desired output type. More...

## Variables
isf_SensorTypes_t | fxlc95000_SupportedSensorTypes [] = { TYPE_ACCELEROMETER_3D, TYPE_NATIVE_SENSOR_TYPE }
| Supported sensor and data types. More...
isf_SensorDataTypes_t | fxlc95000_SupportedDataTypes [] = { TYPE_RAW_ACCELERATION_3D, TYPE_NATIVE_SENSOR_DATA_TYPE }

## Macro Definition Documentation

#define CI_READ_WRITE_ADDR_LEN 2

Referenced by fsl_fxlc95000_Flash().

#define CI_READ_WRITE_HDR_LEN 6

Referenced by fsl_fxlc95000_Flash().

#define CI_READ_WRITE_MAX_LEN 32

Referenced by fsl_fxlc95000_Flash().

## Function Documentation

int32 fxlc95000_GetConfig | ( | isf_SensorHandle_t * | pSensorHandle,
|  | fxlc95000_appConfigRegister_t * | pConfig
| ) |  |

Definition at line 760 of file fsl_fxlc95000_i2cspi_pedo.c.

References fxlc95000_Sensor_Specific_Settings_t::configRegisterReadOffset, fxlc95000_Sensor_Specific_Settings_t::configRegisterReadSize, fxlc95000_DeviceDescriptor_t::deviceHandle, fxlc95000_read(), fxlc95000_send(), fxlc95000_CommandList_t::numCommands, isf_SensorHandle_st::pDeviceDescriptor, SensorConfig_st::pSensorSpecificSettings, isf_SensorHandle_st::pSensorStaticConfig, fxlc95000_Sensor_Specific_Settings_t::readConfigCommands, and SENSOR_ERROR_GETDATA.

Referenced by fsl_fxlc95000_Configure().

Here is the call graph for this function:

Here is the caller graph for this function:

int32 fxlc95000_GetData | ( | int32_t * | status,
|  | isf_SensorHandle_t * | pSensorHandle,
|  | void * | pBuffer
| ) |  |

This function retrieves the raw data from the MAG3110 sensor.

Definition at line 741 of file fsl_fxlc95000_i2cspi_pedo.c.

References fxlc95000_DeviceDescriptor_t::deviceHandle, fxlc95000_read(), isf_SensorHandle_st::pDeviceDescriptor, SensorConfig_st::pSensorSpecificSettings, isf_SensorHandle_st::pSensorStaticConfig, fxlc95000_Sensor_Specific_Settings_t::sampleDataOffset, fxlc95000_Sensor_Specific_Settings_t::sampleDataSize, and SENSOR_ERROR_GETDATA.

Referenced by fsl_fxlc95000_PeriodicCallback().

Here is the call graph for this function:

Here is the caller graph for this function:

int32 fxlc95000_read | ( | dm_DeviceDescriptor_t * | pDeviceHandle,
|  | int32 | offset,
|  | int32 | numBytes,
|  | uint8 * | pBuffer
| ) |  |

Definition at line 819 of file fsl_fxlc95000_i2cspi_pedo.c.

References dm_channel_acquire_lock(), dm_channel_release_lock(), dm_device_read(), ISF_SUCCESS, and dm_DeviceDescriptor_struct::pChannelDescriptor.

Referenced by fxlc95000_GetConfig(), and fxlc95000_GetData().

Here is the call graph for this function:

Here is the caller graph for this function:

int32 fxlc95000_send | ( | dm_DeviceDescriptor_t * | pDeviceHandle,
|  | const fxlc95000_CommandList_t * | aCommandList
| ) |  |

Definition at line 833 of file fsl_fxlc95000_i2cspi_pedo.c.

References fxlc95000_CommandList_t::commands, dm_channel_acquire_lock(), dm_channel_release_lock(), dm_device_write(), fxlc95000_waitForCoCo(), ISF_SUCCESS, fxlc95000_Command_t::nByteWrite, fxlc95000_CommandList_t::numCommands, fxlc95000_Command_t::offset, dm_DeviceDescriptor_struct::pChannelDescriptor, and fxlc95000_Command_t::pWriteBuffer.

Referenced by fsl_fxlc95000_Configure(), fsl_fxlc95000_EndData(), fsl_fxlc95000_Flash(), fsl_fxlc95000_Shutdown(), fsl_fxlc95000_StartData(), fxlc95000_GetConfig(), and fxlc95000_ValidateConfig().

Here is the call graph for this function:

Here is the caller graph for this function:

void fxlc95000_ValidateConfig | ( | int32_t * | status,
|  | isf_SensorHandle_t * | pSensorHandle,
|  | isf_dsa_SensorSettings_t * | pSubSettings
| ) |  |

This function validates the configuration for the MAG3110 sensor.

Definition at line 722 of file fsl_fxlc95000_i2cspi_pedo.c.

References fxlc95000_DeviceDescriptor_t::deviceHandle, fxlc95000_send(), ISF_SUCCESS, fxlc95000_CommandList_t::numCommands, isf_SensorHandle_st::pDeviceDescriptor, SensorConfig_st::pSensorSpecificSettings, isf_SensorHandle_st::pSensorStaticConfig, and fxlc95000_Sensor_Specific_Settings_t::validateSettingsCommands.

Referenced by fsl_fxlc95000_ValidateSettings().

Here is the call graph for this function:

Here is the caller graph for this function:

uint8 fxlc95000_waitForCoCo | ( | dm_DeviceDescriptor_t * | pDeviceHandle | ) |

Definition at line 864 of file fsl_fxlc95000_i2cspi_pedo.c.

References dm_device_read(), and ISF_SUCCESS.

Referenced by fxlc95000_send().

Here is the call graph for this function:

Here is the caller graph for this function:

int32 fxlc95000_WriteConfig | ( | isf_SensorHandle_t * | pSensorHandle,
|  | fxlc95000_appConfigRegister_t * | pConfig
| ) |  |

Definition at line 783 of file fsl_fxlc95000_i2cspi_pedo.c.

References fxlc95000_CommandList_t::commands, fxlc95000_Sensor_Specific_Settings_t::configRegisterReadSize, fxlc95000_DeviceDescriptor_t::deviceHandle, dm_channel_acquire_lock(), dm_channel_release_lock(), dm_device_write(), ISF_SUCCESS, fxlc95000_Command_t::nByteWrite, isf_SensorHandle_st::pDeviceDescriptor, SensorConfig_st::pSensorSpecificSettings, isf_SensorHandle_st::pSensorStaticConfig, fxlc95000_Command_t::pWriteBuffer, SENSOR_ERROR_GETDATA, and fxlc95000_Sensor_Specific_Settings_t::writeConfigRegisterPreamble.

Referenced by fsl_fxlc95000_Configure().

Here is the call graph for this function:

Here is the caller graph for this function:
- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.